Name:		webserver-base
Version:	2.0
Release:	%mkrel 6
Summary:	Base files and user for webserver
License:	GPL
Group:		System/Servers
Source0:    index.html
Conflicts:  apache-conf
Conflicts:  apache-base < 2.2.22-3
Conflicts:  lighttpd < 1.4.31-3

%description
This packages provides base files and user for any webserver.

%prep
%setup -c -T

%build

%install
install -D -m 644 %{_sourcedir}/index.html %{buildroot}%{_var}/www/html/index.html

%pre
%_pre_useradd apache /var/www /bin/sh

%postun
%_postun_userdel apache

%files
%dir %{_var}/www
%dir %{_var}/www/html
%config(noreplace) %{_var}/www/html/index.html


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0-6.mga4
+ Revision: 523509
- Mageia 4 Mass Rebuild

* Wed May 15 2013 guillomovitch <guillomovitch> 2.0-5.mga3
+ Revision: 413307
- mark index.html as config, to avoid overriding it on upgrade

* Sat May 04 2013 anssi <anssi> 2.0-4.mga3
+ Revision: 412282
- add conflicts against old lighttpd for smooth upgrade

* Mon Jan 14 2013 umeabot <umeabot> 2.0-3.mga3
+ Revision: 385673
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 02 2012 guillomovitch <guillomovitch> 2.0-2.mga2
+ Revision: 234556
- add conflicts to ease upgrade (should fix #5677)

* Thu Apr 26 2012 kamil <kamil> 2.0-1.mga2
+ Revision: 233295
- new version 2.0
  * use HTML5 syntax
  * fix all .HTML errors (thanks W3C Validator)

* Mon Mar 12 2012 guillomovitch <guillomovitch> 1.0-1.mga2
+ Revision: 222881
- imported package webserver-base


* Mon Mar 12 2012 Guillaume Rousse <guillomovitch@mandriva.org> 1.0-1.mga2
- first mageia package

